catalog:
  title: Pepper ROS Navigation Bringup

templates:
- github
- cmake-catkin
- base

variables:
  description: Pepper ROS Navigation Bringup
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  github.user: CentralLabFacilities
  github.project: pepper_nav_bringup

  branches:
  - master
  - kinetic-0.3
  - kinetic-0.4
  - post_madgeburg_tuning
  tags:
  - ${ros}-0.1
  - ${ros}-0.2
  - pre_magdeburg
  - magdeburg

  platform-requires:
    ubuntu:
      xenial:
        packages:
        - ros-${ros}-desktop
        - ros-${ros}-teleop-twist-keyboard
        - ros-${ros}-gmapping
        - ros-${ros}-slam-gmapping
        - ros-${ros}-teleop-twist-keyboard
        - ros-${ros}-move-base
        - ros-${ros}-map-server
        - ros-${ros}-amcl
        - ros-${ros}-dwa-local-planner
        - ros-${ros}-depthimage-to-laserscan
        - ros-${ros}-sick-scan
        - ros-${ros}-sick-tim

  cmake.options:
  - CATKIN_ENABLE_TESTING=OFF
  - '@{next-value|[]}'
